Competitor AdsStop tracking a page

Stop tracking a page

Deletes the page and its stored ads for this client. Works on every plan.

curl -X DELETE "https://mythic-analytics.gulp.workers.dev/client/v1/competitor-ads/pages/123e4567-e89b-12d3-a456-426614174000?location_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "deleted": true,
    "id": "123e4567-e89b-12d3-a456-426614174000"
  }
}
DELETE
/client/v1/competitor-ads/pages/{id}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.
path
idstring
Required

The tracked page id from the list, not the Facebook page id.

Format: uuid
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Path Parameters

idstring
Required

The tracked page id from the list, not the Facebook page id.

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Responses

successboolean
dataobject